| GTK-EXTRA - Reference Manual

| Home

## Name

### Gtkplotbar - 3d scientific plots widget for gtk+

## Synopsis

    GtkType

    gtk_plot_bar_get_type

    (void);

    GtkWidget*

    gtk_plot_bar_new

    (GtkOrientation orientation);

    void

    gtk_plot_bar_construct

    (GtkPlotBar *bar,
    GtkOrientation orientation);

    void

    gtk_plot_bar_set_width

    (GtkPlotBar *bar, gdouble width);

    gdouble

    gtk_plot_bar_get_width

    (GtkPlotBar *bar);

## Object Hierarchy

##
Args

## Signal Prototypes

    No signals

## Description

#### This is a Gtk Plot bar widget. ;-)

##
Details

    struct _GtkPlotBar
    {
      GtkPlotData data;
      GtkOrientation orientation;
      gdouble width;
    };

##
Screenshot

### gtk_plot_bar_get_type ()

    GtkType gtk_plot_bar_get_type (void);

Returns |

##

### gtk_plot_bar_new ()

    GtkWidget* gtk_plot_bar_new (GtkOrientation orientation);

Create a new GtkPlotBar widget

orientation | GTK_ORIENTATION_HORIZONTAL, GTK_ORIENTATION_VERTICAL
Returns | a GtkPlotBar widget

### gtk_plot_bar_construct ()

    void gtk_plot_bar_construct (GtkPlotBar *bar,
                                 GtkOrientation orientation);

Initialize a GtkPlotBar structure

bar | a GtkPlotBar widget
orientation | GTK_ORIENTATION_HORIZONTAL, GTK_ORIENTATION_VERTICAL

### gtk_plot_bar_set_width ()

    void gtk_plot_bar_set_width (GtkPlotBar *bar, gdouble width);

Set the width of a GtkPlotBar widget.

bar | a GtkPlotBar widget
width | the width of the widget

### gtk_plot_bar_get_width ()

    gdouble gtk_plot_bar_get_width (GtkPlotBar *bar);

Get the width of a GtkPlotBar widget.

bar | a GtkPlotBar widget
Returns | the width of the widget

| Home |  |